Subject: serial console autodetection not working on powermac

From: Olaf Hering <[email-masked]>
Date: Sat, 1 Dec 2007 15:40:21 +0100

How is the serial console autodetection supposed to work with current
kernels? arch/powerpc/kernel/legacy_serial.c is not compiled unless
CONFIG_PPC_UDBG_16550 is selected.
Even if I force this config option, legacy_serial_console remains -1 and
the ch-a/ch-b check in check_legacy_serial_console() does not trigger.
Can the ch-a/ch-b check in check_legacy_serial_console() trigger anyway?

The autodetection used to work in earlier kernels.

A compiletime check for CONFIG_SERIAL_PMACZILOG_TTYS is also required,
to switch between ttyS and ttyPZ. Currently ttyS is hardcoded.